aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Gianelloni <wolf31o2@gentoo.org>2007-04-12 11:33:02 +0000
committerChris Gianelloni <wolf31o2@gentoo.org>2007-04-12 11:33:02 +0000
commit92542bf56c1275919b467882a10a32d0f99a8732 (patch)
treef87459919172954f31745d1bf1b1ccdbcc57cb76 /gen_initramfs.sh
parentAdded nb-busybox.cf to x86 on the request of Andrew Gaffney <agaffney@gentoo.... (diff)
downloadgenkernel-92542bf56c1275919b467882a10a32d0f99a8732.tar.gz
genkernel-92542bf56c1275919b467882a10a32d0f99a8732.tar.bz2
genkernel-92542bf56c1275919b467882a10a32d0f99a8732.zip
Commented out the checks on the sanity of lvm.conf since they were not quite working right. This should fix bug #173622.
git-svn-id: svn+ssh://svn.gentoo.org/var/svnroot/genkernel/trunk@506 67a159dc-881f-0410-a524-ba9dfbe2cb84
Diffstat (limited to 'gen_initramfs.sh')
-rw-r--r--gen_initramfs.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/gen_initramfs.sh b/gen_initramfs.sh
index ab9e560..dcd1ad2 100644
--- a/gen_initramfs.sh
+++ b/gen_initramfs.sh
@@ -208,7 +208,7 @@ append_lvm2(){
cd ${TEMP}
mkdir -p "${TEMP}/initramfs-lvm2-temp/bin/"
mkdir -p "${TEMP}/initramfs-lvm2-temp/etc/lvm/"
- if [ -e '/sbin/lvm' ] && ldd /sbin/lvm|grep -q 'not a dynamic executable'
+ if [ -e '/sbin/lvm' ] && LC_ALL="C" ldd /sbin/lvm|grep -q 'not a dynamic executable'
then
print_info 1 ' LVM2: Adding support (using local static binaries)...'
cp /sbin/lvm "${TEMP}/initramfs-lvm2-temp/bin/lvm" ||
@@ -223,15 +223,15 @@ append_lvm2(){
fi
if [ -x /sbin/lvm ]
then
- lvm dumpconfig 2>&1 > /dev/null || gen_die 'Could not copy over lvm.conf!'
- ret=$?
- if [ ${ret} != 0 ]
- then
+# lvm dumpconfig 2>&1 > /dev/null || gen_die 'Could not copy over lvm.conf!'
+# ret=$?
+# if [ ${ret} != 0 ]
+# then
cp /etc/lvm/lvm.conf "${TEMP}/initramfs-lvm2-temp/etc/lvm/" ||
gen_die 'Could not copy over lvm.conf!'
- else
- gen_die 'Could not copy over lvm.conf!'
- fi
+# else
+# gen_die 'Could not copy over lvm.conf!'
+# fi
fi
cd "${TEMP}/initramfs-lvm2-temp/"
find . -print | cpio ${CPIO_ARGS} --append -F "${CPIO}"